(* Guestfs Browser.
 * Copyright (C) 2011 Red Hat Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *)

open Utils

open Printf

let open_disk_dialog w () =
  debug "open disk dialog";
  let title = "Open disk image directly" in

  let d = GWindow.file_chooser_dialog ~action:`OPEN ~title ~modal:true () in
  d#add_button_stock `CANCEL `CANCEL;
  d#add_select_button_stock `OPEN `OPEN;

  match d#run () with
  | `DELETE_EVENT | `CANCEL ->
      d#destroy ()
  | `OPEN ->
      match d#filename with
      | None -> ()
      | Some localfile ->
          d#destroy ();

          (* Open the disk image. *)
          w#open_disk_images [localfile, None]
